InVMSchema (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.uri

## Class InVMSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>
  - - org.apache.activemq.artemis.uri.AbstractCFSchema
    - - org.apache.activemq.artemis.uri.InVMSchema

-     public class InVMSchema
      extends AbstractCFSchema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()`
    `protected ActiveMQConnectionFactory` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(ActiveMQConnectionFactory bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.AbstractCFSchema

      `newConectionOptions`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `copyData, getData, getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMSchema

          public InVMSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>`

    - #### internalNewObject

          protected ActiveMQConnectionFactory internalNewObject(URI uri,
                                                                Map<String,String> query,
                                                                String name)
                                                         throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(ActiveMQConnectionFactory bean)
                                throws Exception

      Specified by:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>`
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.